using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;

namespace FiltronASP.Models.DAO.Interfaces.WIX
{
    /// <summary>
    /// Interfejs dla operacji bazodanowych specyficznych dla tabeli <code>wix_filter_engines</code>.
    /// </summary>
    public interface IWixFilterEngineDAO : IGenericDAO<WixFilterEngine, System.Nullable<int>>
    {
        IQueryable<WixFilterEngine> FindByFilter(int filterId, int engineId);
        IQueryable<WixFilterEngine> FindByFilter(int filterId);
        IQueryable<WixFilterEngine> FindByEngineAndModel(int engineId, int modelId);
        IQueryable<WixFilterEngine> FindByEngineAndModelOnlyNulls(int engineId, int modelId);
    }
}
